## lcdproc 0.3.4

=== Makefile ===
########################################################################
# Modify these variables to fit your system.
########################################################################

##################### Serial device
# This should be whatever your display is connected to.
# "make install" will create a link from /dev/lcd to DEVICE
DEVICE = /dev/ttyS0

##################### Operating System
# Uncomment the line for your OS.
OS=-DLINUX
#OS=-DIRIX

##################### Modescreen Options

##### Load Screen
# Max:  Load Avg at which the backlight will start blinking
MISC += -DLOAD_MAX=1.3
# Min:  Load Avg at which the backlight will turn off (asleep) 
MISC += -DLOAD_MIN=0.05

##### Filesystems to display stats for... (comment out ones you don't want)
# NFS (Network File System)
MISC += -DSTAT_NFS
# SMBFS (Samba filesystem -- Windows drives)
MISC += -DSTAT_SMBFS


##################### Drivers
# Comment out each section you don't want.

# Matrix-Orbital displays
DRIVERS += -DMTXORB_DRV
OBJ += MtxOrb.o

# Curses text-based output
DRIVERS += -DCURSES_DRV
OBJ += curses_drv.o
LIB += -lncurses

# Regular text output (ugly)
DRIVERS += -DTEXT_DRV
OBJ += text.o

# Debugging output (very ugly)
DRIVERS += -DDEBUG_DRV
OBJ += debug.o

# HD44780 parallel port lcd displays
#DRIVERS += -DHD44780_DRV
#OBJ += hd44780.o
# Pick one of the following ports to use
#LPTPORT = 0x378
#LPTPORT = 0x278
#LPTPORT = 0x3bc



########################################################################
# You shouldn't need to touch anything below here.
########################################################################

GCC = gcc -Wall -Wp,-lang-c-c++-comments -O6
TARGET = lcdproc
OBJ += main.o mode.o lcd.o sockets.o drv_base.o
SOURCES = Makefile main.c main.h mode.c mode.h lcd.c lcd.h \
	MtxOrb.c MtxOrb.h text.c text.h debug.c debug.h \
	curses_drv.c curses_drv.h sockets.c sockets.h drv_base.c drv_base.h \
	hd44780.c hd44780.h port.h
EXTRAS = change.log lcdproc.1 INSTALL README COPYING
MISC += $(OS) $(DRIVERS)
VERSION = 0.3.4


###################################################################
# Compilation...
#
$(TARGET): $(OBJ) Makefile
	$(GCC) -s $(MISC) -o $(TARGET) $(OBJ) $(LIB)

%.o: %.c %.h Makefile
	$(GCC) -c $(MISC) $<


##################################################################
# Installation
#
install: $(TARGET) lcdproc.1 
	@echo Installing LCDproc...
	gzip -c lcdproc.1 > lcdproc.1.gz
	install -d -m 755 -o root -g root /usr/local/man/cat1/
	install -m 0644 -o root -g root lcdproc.1.gz /usr/local/man/cat1/
	install -m 0755 -o root -g root lcdproc /usr/local/bin/
	if [ ! -e /dev/lcd ]; then ln -s $(DEVICE) /dev/lcd ; chmod a+rw $(DEVICE) ; fi
	@echo "All done -- enjoy!"
	@echo "Be sure to verify that /dev/lcd points to the correct device."
	@ls -l /dev/lcd

# TODO: Have the installer insert lcdproc in system startup scripts?


##################################################################
# Other stuff...
#
clean:
	rm -f $(OBJ) $(TARGET) *~ lcdproc.1.gz

# Distribution file
tardist:
	rm -rf lcdproc-$(VERSION)
	mkdir lcdproc-$(VERSION)
	cp $(SOURCES) $(EXTRAS) lcdproc-$(VERSION)
	tar cfv lcdproc-$(VERSION).tar lcdproc-$(VERSION)
	rm -f lcdproc-$(VERSION).tar.gz
	gzip lcdproc-$(VERSION).tar
	rm -rf lcdproc-$(VERSION)

# This includes source...
tarball:
	tar cfv lcd.tar $(SOURCES) $(EXTRAS)
	gzip lcd.tar

# This includes an executable and source...
bintarball:
	tar cfv lcd.tar $(TARGET) $(SOURCES) $(EXTRAS)
	gzip lcd.tar

edit:
	nedit $(SOURCES) $(EXTRAS) &

todo:
	@echo ---------------===========================================
	@grep TODO $(SOURCES) | grep -v SOURCES
	@grep FIXME $(SOURCES) | grep -v SOURCES
	@echo ---------------===========================================

#TODO: Keep updating the "Thank You's" section of the README.
#TODO: Don't forget about homework!
#TODO: Input object should have PollEvent() and WaitEvent()
#TODO: Input object should check keypad, joystick, and sockets...

## lcdproc 0.4.5-1

=== debian/changelog ===
lcdproc (0.4.5-1) unstable; urgency=high

  * New upstream release which fixes two buffer overflow / string
    format vulnerabilities. By the way, yes I know this package is
    'native' when it should be 'normal', but I'll fix that with
    another upload because I want to get this security update done
    ASAP since upstream indicate it's a serious problem.
  * Fixed location of example client 'metar.pl'.
    Closes: #249770

 -- Jonathan Oxer <jon@debian.org>  Wed, 19 May 2004 21:32:59 +1000

lcdproc (0.4.4-1) unstable; urgency=low

  * The April Fool's Release.
    Stable version bump adds some funky new things, including
    support for USB displays with a couple of new drivers. Also
    fixes a memory leak, some assorted bugs in render.c, some
    flickering problems with the CFontz driver. Adds upstream
    support for the Apple Network Server (ANS) LCD, which:
    (closes: #236687)

 -- Jonathan Oxer <jon@debian.org>  Thu,  1 Apr 2004 12:30:01 +1000

lcdproc (0.4.3-15) unstable; urgency=low

  * Applied patch from Gentoo by Bernhard Tittelbach which fixes a
    memory leak and some of the heartbeat handling (see
    http://bugs.gentoo.org/attachment.cgi?id=6981&action=view and
    debian/patches/lcdproc-0.4.3-gentoo.diff)

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2003 10:32:30 +1100

lcdproc (0.4.3-14) unstable; urgency=low

  * New maintainer.
    (closes: #196676)
  * Fix for trivial spelling mistayk in long description and
    added comment about creating custom clients.
    (closes: #199303)
  * Rebuilt package to bring it up to date with latest standards
    version, latest package scripts etc and renamed items such as
    init script and man pages in a more standard way.
  * Wrote man pages for all the example clients, but not set them
    to be installed because they have .pl extensions and
    dh_installman thinks they're in Polish. So also...
  * Moved all example clients into /usr/share/doc/lcdproc/examples

 -- Jonathan Oxer <jon@debian.org>  Mon,  8 Dec 2003 16:30:05 +1100

lcdproc (0.4.3-13) unstable; urgency=low

  * orphaning package see #196676

 -- Noel Koethe <noel@debian.org>  Sun, 29 Jun 2003 13:03:00 +0200

lcdproc (0.4.3-12) unstable; urgency=high

  * added missing patch to fix this problem
    http://online.securityfocus.com/archive/1/56411
  * updated Standards-Version
  * added USB controller patch
    (closes: Bug#166051)

 -- Noel Koethe <noel@debian.org>  Thu,  9 Jan 2003 12:10:00 +0100

lcdproc (0.4.3-11) unstable; urgency=low

  * 0.4.3 release version
  * updated Standards-Version to 3.5.7
  * enabled all drivers
    (closes: Bug#145314)
    (closes: Bug#141577)

 -- Noel Koethe <noel@debian.org>  Sat, 22 Sep 2002 00:15:00 +0200

lcdproc (0.4.3-10) unstable; urgency=medium

  * updated code from cvs to get all drivers updated.
    upstream maintainer asked for this for woody release
    this version will the 0.4.3 upstream release
  * small changes in description
  * added some upstream Docs which are not in the source

 -- Noel Koethe <noel@debian.org>  Tue, 18 Apr 2002 18:05:00 +0200

lcdproc (0.4.3-9) unstable; urgency=low

  * added .de template translation
    (closes: Bug#137482)
  * added URL to description

 -- Noel Koethe <noel@debian.org>  Sun, 24 Mar 2002 23:53:00 +0100

lcdproc (0.4.3-8) unstable; urgency=low

  * upstream fixed LCDd.8 and lcdproc.1 manpage
    (closes: Bug#136325)

 -- Noel Koethe <noel@debian.org>  Thu,  7 Mar 2002 11:45:00 +0100

lcdproc (0.4.3-7) unstable; urgency=low

  * added ru translation of template
    (closes: Bug#136596)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 12:47:00 +0100

lcdproc (0.4.3-6) unstable; urgency=low

  * removed --enable-drivers=all configure option
    because some drivers contains architecture
    dependent asm code
    (closes: Bug#136217)

 -- Noel Koethe <noel@debian.org>  Fri,  1 Mar 2002 21:30:00 +0100

lcdproc (0.4.3-5) unstable; urgency=low

  * small correction in description
  * added missing libc6-dev to build-deps

 -- Noel Koethe <noel@debian.org>  Wed, 27 Feb 2002 10:32:00 +0100

lcdproc (0.4.3-4) unstable; urgency=low

  * using the included init script (with small modifications)
  * using the included LCDd.conf
  * moved the perl examples to /usr/bin
  * added debconf note

 -- Noel Koethe <noel@debian.org>  Sun, 24 Feb 2002 17:42:00 +0100

lcdproc (0.4.3-3) unstable; urgency=low

  * corrected Daemon start

 -- Noel Koethe <noel@debian.org>  Wed, 20 Feb 2002 20:33:00 +0100

lcdproc (0.4.3-2) unstable; urgency=low

  * updated description
  * corrected driver option in init.d
    (closes: Bug#134590)

 -- Noel Koethe <noel@debian.org>  Mon, 18 Feb 2002 18:44:00 +0100

lcdproc (0.4.3-1) unstable; urgency=low

  * upstream version with security fixes

 -- Noel Koethe <noel@debian.org>  Sun, 27 Jan 2002 20:53:00 +0100

lcdproc (0.4.1-1) unstable; urgency=low

  * new upstream version from 2001-05-29
    (closes: Bug#129858)
    (closes: Bug#129857)
  * removed lcdprocconfig and uses now /etc/lcdproc.conf
    (closes: Bug#87427)
  * corrected init script
    (closes: Bug#98004)

 -- Noel Koethe <noel@debian.org>  Fri, 18 Jan 2002 22:32:00 +0100

lcdproc (0.3.4.5-1) unstable; urgency=low

  * new maintainer
    (closes: Bug#119089)
    (closes: Bug#70098)
    (closes: Bug#105036)
    (closes: Bug#67742)
    (closes: Bug#84518)
    (closes: Bug#87423)

 -- Noel Koethe <noel@debian.org>  Fri, 18 Jan 2002 18:40:00 +0100

lcdproc (0.3.4.5-0.2) unstable; urgency=low

  * NMU
  * Remove obsolete gcc option from Makefile. Closes: #105036

 -- Randolph Chung <tausq@debian.org>  Sat, 25 Aug 2001 20:58:19 -0700

lcdproc (0.3.4.5-0.1) unstable; urgency=low

  * Bugsquash party NMU.
  * New upstream release.
    - This should fix a floating point exception on startup (a grave bug,
      hence this NMU; closes: #70098). That bug report suggests upgrading
      only to 0.3.4.5 rather than any of the newer releases available, as


=== debian/control ===
Source: lcdproc
Section: utils
Priority: extra
Maintainer: Jonathan Oxer <jon@debian.org>
Build-Depends: debhelper (>= 4.0.0), automake, autoconf2.13, texinfo, libncurses5-dev
Standards-Version: 3.6.0

Package: lcdproc
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.5.0)
Description: LCD display driver daemon and clients
 This is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330. As of 0.4.4 some USB
 displays are also supported by the drivers CFonz633, CwLnx, and USBLCD.
 .
 Various clients are available that display things like CPU load, system
 load, memory usage, uptime, and a lot more. Custom clients can be
 written using the simple client-server protocol and provided example
 code.
 .
 http://lcdproc.omnipotent.net/  or http://www.lcdproc.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall
#CFLAGS = -Wall -g
#
#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS=$(CFLAGS) ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--enable-stat-nfs \
		--enable-stat-smbfs \
		--enable-drivers=all

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	install -m644 LCDd.conf debian/lcdproc/etc/LCDd.conf
	install -m644 debian/lcdproc.LCDd.init debian/lcdproc/etc/init.d/LCDd
	
	# Add here commands to install the package into debian/lcdproc.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/lcdproc

	# Install the Lintian overrides file
	#cp $(CURDIR)/debian/overrides $(CURDIR)/debian/lcdproc/usr/share/lintian/overrides/lcdproc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --name=LCDd -- start 20 2 3 4 5 . stop 20 0 1 6 .
#	dh_installcron
#	dh_installinfo
	dh_installman debian/manpages/LCDd.8 \
		debian/manpages/lcdproc.1 
#		debian/manpages/fortune.pl \
#		debian/manpages/iosock.pl \
#		debian/manpages/lcdheadlines \
#		debian/manpages/lcdmetar.pl \
#		debian/manpages/tail.pl \
#		debian/manpages/x11amp.pl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lcdproc 0.4.5-1.1

=== debian/changelog ===
lcdproc (0.4.5-1.1) unstable; urgency=low

  * NMU.
  * debian/control: Remove unnecessary build dependencies on the
    autotools. (Closes: #376449)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 13:33:18 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Jonathan Oxer <jon@debian.org>
-Build-Depends: debhelper (>= 4.0.0), automake, autoconf2.13, texinfo, libncurses5-dev
+Build-Depends: debhelper (>= 4.0.0), texinfo, libncurses5-dev
 Standards-Version: 3.6.0
 
 Package: lcdproc

## lcdproc 0.5.4

=== debian/changelog ===
lcdproc (0.5.4-6) unstable; urgency=low

  * debian/control: added build-depends on automake

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 05 May 2011 18:54:18 +0200

lcdproc (0.5.4-5) unstable; urgency=low

  * debian/compat: bumped to 8
  * debian/control:
    + depends on debhelper >= 8
    - Architecture: support all os except hurd
  * debian/rules:
    + Added option '--with autotools-dev' to dh call (handles
      config.guess and config.sub).
    + Runs debian/autogen.sh before running configure
    + build and install svgsa.so only if /usr/lib/libvga.so* is
      present on the build system
    - removed some cruft.
  * debian/autogen.sh: new file copied from libautotools-dev
  * debian/clean: remove all files generated by autogen.sh
  * debian/lcdproc-extra-drivers.install: removed svga.so (now
    handled by debian/rules)
  * debian/patches: renamed to remove package name and version
    from patch names
  * debian/source/options: added extend-diff-ignore to ignore files
    generated by autogen.sh
  * debian/copyright: added copyright for debian/autogen.sh

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 04 May 2011 20:05:49 +0200

lcdproc (0.5.4-4) unstable; urgency=low

  * control:
    - added vcs-git and vcs-browser fields.
    - Cleaned up with Config::Model's config-edit.
    - Set architecture to any to build also armhf.
    - build-depend on libsvga1-dev [ i386 amd64 ]
  * imported dont_eat_characters.patch (Closes: #580378) (Nick
    Leverton)

 -- Dominique Dumont <domi.dumont@free.fr>  Mon, 11 Apr 2011 18:36:51 +0200

lcdproc (0.5.4-2) unstable; urgency=low

  [ Dominique Dumont ]

  * New upstream release
    Closes: #614621, #505756, #578166, #531863
  * control: switch to Standard-Version 3.9.1.
    Removed dependency on quilt, doxygen and libirman-dev.
    Removed Tag line out of Description (Closes: #488290)
  * copyright: updated to DEP5 format
  * source/format: now 3.0 (quilt)
  * rules: removed --with quilt. Removed irman driver (cannot compile
    because libirman.a is not relocatable)
  * install: no longer install test client scripts nor INSTALL file

  [ Nick Leverton ]

  * Add pkg-config to Build-Depends (Closes: #579059)
  * Convert to quilt patch system
  * Update debian/rules to use dh build system and debhelper 7
  * Add autotools-dev to Build-Depends for config.{guess,sub}
  * Use upstream man pages where they exist, instead of older Debian ones
  * Remove unused gentoo patch from 0.4.3 (Closes: #533177)
  * New lcdproc-extra-drivers package for drivers which need extra libs:
    picolcd (Closes: #536076), g15 (Closes: #578166), lirc (Closes: #407650).
  * Fix remaining lintian issues (patch lcdproc-0.5.3-debian-spelling.diff
    and Build-Depends on autotools-dev).

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 09 Mar 2011 19:04:39 +0100

lcdproc (0.5.2-3) unstable; urgency=low

  * Changed debian/watch to use SourceForge redirector

 -- Jonathan Oxer <jon@debian.org>  Tue, 13 Jan 2009 23:44:47 +0000

lcdproc (0.5.2-2) unstable; urgency=low

  * Added manpage for lcdvc
  * Fixed debian/rules make clean warning
  * Updated standards version to 3.8.0
  * Fixed formatting in long description
  * Fixed debian/watch upstream URL format so it will work with
    SourceForge (Closes: #449780)

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2008 02:35:22 +0000

lcdproc (0.5.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Support all architectures except s390.
  * Add support for kfreebsd, thanks Cyril Brulebois. (Closes: #416261)

 -- Thiemo Seufer <ths@debian.org>  Thu, 02 Oct 2008 09:06:08 +0200

lcdproc (0.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add armel to supported archs

 -- Colin Tuckley <colint@debian.org>  Fri, 05 Sep 2008 18:17:50 +0100

lcdproc (0.5.2-1) unstable; urgency=medium

  * New upstream version

  * Compilation issues
    - restrict building to just i386, amd64 (Closes: #400066)

  * Packaging
    - bumped standards-version to 3.7.3 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 09 Mar 2008 00:25:50 +0100

lcdproc (0.5.1-3) unstable; urgency=medium

  * Compilation issues
    - restrict building to just i386, amd64 (Closes: #400066)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri,  8 Dec 2006 15:37:56 +0100

lcdproc (0.5.1-2) unstable; urgency=low

  * Compilation issues
    - restrict building to just i386, amd64 and ppc (Closes: #395986)
    - remaining arches will be re-added once lcdproc is migrated to 'ppdev'

  * Updated initscript to work with new syntax (Closes: #397072)
    - also fixed duplicate $NAME output

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 12 Nov 2006 14:20:28 +0100

lcdproc (0.5.1-1) unstable; urgency=medium

  * New upstream version
    - Fixes compiling on hppa (Closes: #389294)
    - Many new features and some config changes. Please read upstream's
    release notes for more information
  
  * Avoid needing a /etc/mtab file at build time (Closes: #391912)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 15 Oct 2006 14:48:37 +0200

lcdproc (0.5.0-1) unstable; urgency=low

  * New upstream version (Closes: #367945)
    - New maintainer. Thank you for your previous work, Jon!
    - Upstream added suport for 'imon' devices (Closes: #365496)
    - Upstream fixed descriptor leak (Closes: #355460)
    - Upstream fixed placing widgets in frame (Closes: #355458)

  * Packaging
    - Depend on debconf-2.0; Allow transition (Closes: #331885)
    - Remove dependency on automake (Closes: #376449)
    - Include missing INSTALL instructions (Closes: #365436)
    - Changed most "by hand" installation steps into debhelper-based ones
    - Updated to 3.7.2 standards version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 23 Jul 2006 20:23:48 +0200

=== debian/control ===
Source: lcdproc
Maintainer: Dominique Dumont <domi.dumont@free.fr>
Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>,
           Nick Leverton <nick@leverton.org>
Section: utils
Priority: extra
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 8),
               libftdi-dev,
               libg15-dev,
               libg15daemon-client-dev,
               libg15render-dev,
               libirman-dev,
               liblircclient-dev,
               libncurses5-dev,
               libsvga1-dev [ i386 amd64 ],
               libusb-dev,
               libxosd-dev,
               pkg-config,
               texinfo
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/lcdproc.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/lcdproc.git
Homepage: http://www.lcdproc.org/

Package: lcdproc
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Depends: lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lcdproc-extra-drivers
Description: LCD display driver daemon and clients
 Lcdproc is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330.
 .
 Various clients are available that display things like CPU load, system
 load, memory usage, uptime, and a lot more. Custom clients can be
 written using the simple client-server protocol and provided example
 code.
 .
 This package contains the LCD drivers which need no extra libraries to
 run. In the lcdproc-extra-drivers package some USB and VGA on-screen
 displays are also supported.

Package: lcdproc-extra-drivers
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Depends: lcdproc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: extra drivers for the LCD display driver daemon
 Lcdproc is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330. As of 0.4.4 some USB
 displays are also supported by the drivers CFonz633, CwLnx, and USBLCD.
 .
 This package contains the LCD drivers which need extra libraries to
 run such as USB, LIRC, SVGA, and the X Window System.

Package: lcdproc-dbg
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Section: debug
Depends: lcdproc (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for lcdproc
 This is a client/server suite including drivers for all kinds of
 nifty LCD displays.
 .
 This package contains the debugging symbols associated with lcdproc.
 They will automatically be used by gdb for debugging libupnp-related
 issues.
 .
 Most people will not need this package.

## lcdproc 0.5.5

=== debian/changelog ===
lcdproc (0.5.5-4) unstable; urgency=low

  * control: removed build-dep on libirman-dev (Closes: #728067)

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2013 19:01:30 +0100

lcdproc (0.5.5-3) unstable; urgency=low

  Main change: svga support is removed from Debian version of lcdproc
  as svgalib is going to be removed from Debian.

  * control:
    - removed build dependency on libsvga1-dev (Closes: #711096)
    * updated standard-version and git urls
  * init script:
    + added status option
    * source /lib/lsb/init-functions
  * compat raised to 9. This also enables hardening build (Closes: #719107)
    Thanks to Daniel Leidert for the bug report and the proposed patch.
  * rules:
    * tweak extra-driver list to pass only the library basename
      to --exclude option
    * added quotes around drivers list
    * removed dead test about svga
    * removed flags setting now handled by compat 9
    * tweak LCDd.conf to setup DRIVERPATH with multiarch lib path
  - hence removed LCDd-conf-for-debian patch
  * *.install: added a '*' to cope with arch triplet
  * copyright: updated years
  + new patch: tweak LCDd.conf to use syslog and run LCDd as root (to read
    /dev/lcd* file)

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Aug 2013 19:39:50 +0200

lcdproc (0.5.5-2) unstable; urgency=low

  * Applied patch to cope with new automake 1.11.3 (Thanks Andreas)
    (Closes: #661343)
  * control: bumped standard-version to 3.9.3 (no other changes)
  * copyright: updated format URL

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Feb 2012 19:00:59 +0100

lcdproc (0.5.5-1) unstable; urgency=low

  * new upstream version
  * copyright:
    + added Markus Dolze (current maintainer),
    * updated my e-mail address
  * control: updated my e-mail address
  - patches: removed dont_eat_characters fix-duplicate-svga-lib-in-
    acinclude fix-spelling patches (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Sat, 12 Nov 2011 09:52:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lcdproc
-Maintainer: Dominique Dumont <domi.dumont@free.fr>
+Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>,
            Nick Leverton <nick@leverton.org>
 Section: utils
@@ -7,22 +7,20 @@
 Build-Depends: autoconf,
                automake,
                autotools-dev,
-               debhelper (>= 8),
+               debhelper (>= 9),
                libftdi-dev,
                libg15-dev,
                libg15daemon-client-dev,
                libg15render-dev,
-               libirman-dev,
                liblircclient-dev,
                libncurses5-dev,
-               libsvga1-dev [ i386 amd64 ],
                libusb-dev,
                libxosd-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lcdproc.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/lcdproc.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lcdproc.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/lcdproc.git
 Homepage: http://www.lcdproc.org/
 
 Package: lcdproc
@@ -77,4 +75,3 @@
  issues.
  .
  Most people will not need this package.
-

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Note: Read /usr/share/doc/autotools-dev/README.Debian.gz

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CONFOPTS += --enable-debug
endif

EXTRADRIVERS := $(shell cut -d/ -f5 $(CURDIR)/debian/lcdproc-extra-drivers.install)

DRIVERS = all,!irman,!svga

# --with autotools_dev will update/restore config.sub and config.guess
%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
# from /usr/share/doc/autotools-dev/examples/rules.gz
	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
	chmod +x debian/autogen.sh
	debian/autogen.sh
# Add here commands to configure the package.
	dh_auto_configure -- \
		--enable-stat-nfs \
		--enable-stat-smbfs \
		--enable-drivers="$(DRIVERS)" \
		--enable-libusb \
		--enable-seamless-hbars \
		--enable-testmenus \
		--enable-permissive-menu-goto \
		--enable-lcdproc-menus \
		$(CONFOPTS)

override_dh_installman:
	dh_installman --language=C

override_dh_strip:
	dh_strip --dbg-package=lcdproc-dbg

override_dh_installinit:
	dh_installinit --name=LCDd -- start 60 2 3 4 5 . stop 60 0 1 6 .

override_dh_install:
	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) -plcdproc 
	dh_install --autodest  -plcdproc-extra-drivers
	dh_install --remaining-packages --list-missing

=== debian/watch ===
version=3
http://sf.net/lcdproc/lcdproc-([\d\.]+).tar.gz debian uupdate

## lcdproc 0.5.7

=== debian/changelog ===
lcdproc (0.5.7-4) unstable; urgency=medium

  * copyright: fixed typo that trigger lintian errors
  * Remove autogen hack and and use dh-autoreconf (Closes: #808928)
    (Tx Andreas)
  * rules: removed obsolete dh_installinit params
  * Ship a systemd service file using dh-systemd

 -- Dominique Dumont <dod@debian.org>  Tue, 29 Dec 2015 19:26:08 +0100

lcdproc (0.5.7-3) unstable; urgency=medium

  * control:
    * removed Jose and Nick from uploaders
    * depends on new cme package and no longer
      on libconfig-model-perl
    * removed versioned dep on libconfig-model-lcdproc-perl
    * updated Vcs-Browser and Std-Versions
  * rules: patch source to use date of last changelog entry
    as build date to make build reproducible

 -- Dominique Dumont <dod@debian.org>  Sun, 17 May 2015 17:26:43 +0200

lcdproc (0.5.7-2) unstable; urgency=medium

  * stop/start LCDd on suspend/wakeup (LP: #365474)
  * provide and use permanent symlink for imon device file (LP: #1186569)
    This requires udev for Linux.
  * control:
    + added depends on udev and libconfig-model-lcdproc-perl (>= 2.042-2)
    + added dependency on libconfig-model-perl >= 2.059 to avoid a bug

 -- Dominique Dumont <dod@debian.org>  Sun, 06 Jul 2014 19:20:33 +0200

lcdproc (0.5.7-1) unstable; urgency=medium

  * Imported Upstream version 0.5.7
  * copyright: exclude files generated by autoconf
  * refreshed patches
  * untabified debian/NEWS to keep lintian happy
  * control: depends on libconfig-model-lcdproc-perl 2.042

 -- Dominique Dumont <dod@debian.org>  Wed, 04 Jun 2014 18:31:30 +0200

lcdproc (0.5.6-1) unstable; urgency=low

  * new upstream version
  * post-install script performs merge of upstream and user
    configuration (only for /etc/LCDd.conf). See NEWS file for
    more details
  * /etc/LCDd.conf is no longer delivered as a conffile (in /etc)
  * old configuration file is saved as /etc/LCDd.conf.dpkg-old
  * control:
    * updated Standard-version to 3.9.5
    * added dependency on libconfig-model-lcdproc-perl (required for
      automatic configuration merge)
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Fri, 28 Mar 2014 13:00:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: lcdproc
 Maintainer: Dominique Dumont <dod@debian.org>
-Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>,
-           Nick Leverton <nick@leverton.org>
 Section: utils
 Priority: extra
 Build-Depends: autoconf,
                automake,
                autotools-dev,
+               cme,
                debhelper (>= 9),
+               dh-autoreconf,
+               dh-systemd,
                libftdi-dev,
                libg15-dev,
                libg15daemon-client-dev,
@@ -18,16 +19,19 @@
                libxosd-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lcdproc.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lcdproc.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/lcdproc.git
 Homepage: http://www.lcdproc.org/
 
 Package: lcdproc
 Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
-Depends: lsb-base,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         cme,
+         libconfig-model-lcdproc-perl,
+         lsb-base,
+         udev [linux-any]
 Recommends: lcdproc-extra-drivers
 Description: LCD display driver daemon and clients
  Lcdproc is a client/server suite including drivers for all kinds of

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,15 @@
 
 # --with autotools_dev will update/restore config.sub and config.guess
 %:
-	dh $@ --with autotools_dev
+	dh $@ --verbose --with autotools_dev --with autoreconf --with=systemd \
+          --with cme_upgrade
 
 override_dh_auto_configure:
-# from /usr/share/doc/autotools-dev/examples/rules.gz
 	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
-	chmod +x debian/autogen.sh
-	debian/autogen.sh
+# live patch to use date of last changelog entry as build date
+	DEBBUILDDATE=$$(perl -ne 'if (/ --.*?>\s+(.*)/) {print "$$1\n"; exit}' debian/changelog )  && \
+	export DEBBUILDDATE && \
+	perl -pi -e 's!__DATE__!"$$ENV{DEBBUILDDATE}"!;' clients/lcdproc/main.c server/main.c
 # Add here commands to configure the package.
 	dh_auto_configure -- \
 		--enable-stat-nfs \
@@ -41,9 +43,9 @@
 	dh_strip --dbg-package=lcdproc-dbg
 
 override_dh_installinit:
-	dh_installinit --name=LCDd -- start 60 2 3 4 5 . stop 60 0 1 6 .
+	dh_installinit --name=LCDd
 
 override_dh_install:
-	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) -plcdproc 
+	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) --exclude LCDd.conf -plcdproc
 	dh_install --autodest  -plcdproc-extra-drivers
 	dh_install --remaining-packages --list-missing

## lcdproc 0.5.8

=== debian/changelog ===
lcdproc (0.5.8-1) unstable; urgency=medium

  * New upstream version 0.5.8
    - no change compared to 0.5.8~rc2
  * control: declare compliance with policy 4.0.0

 -- Dominique Dumont <dod@debian.org>  Wed, 21 Jun 2017 14:43:57 +0200

lcdproc (0.5.8~rc2-1) experimental; urgency=medium

  * New upstream version 0.5.8~rc2
  * control: build-dep on cme >= 1.016-2 to deliver
    debconf files (Closes: #851579)

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Jan 2017 19:29:02 +0100

lcdproc (0.5.8~rc1-1) experimental; urgency=medium

  * New upstream version 0.5.8~rc1
    https://github.com/lcdproc/lcdproc/releases/tag/v0.5.8rc1
    (Closes:  #849659)
  * updated watch file to use github
  * control: update standards-version to 3.9.8
  * copyright: fix URL
  * copyright: source files are now downloaded from github
  * compiled with new libusb1. Although dependency on libusb-dev
    cannot be yet removed, so #810428 is not closed.
  * add #! on postinst script (Closes: #843299)

 -- Dominique Dumont <dod@debian.org>  Sun, 08 Jan 2017 16:10:25 +0100

lcdproc (0.5.7-7) unstable; urgency=medium

  * patch to fix hppa compilation (Closes: #809456)

 -- Dominique Dumont <dod@debian.org>  Tue, 22 Mar 2016 19:45:10 +0100

lcdproc (0.5.7-6) unstable; urgency=medium

  * disabled patch lis-libftdi1. The switch to libftdi1-dev must
    be done with switch to libusb1. Sorry about the mess.
  * control: put back dependency on libftdi1-dev (re-opened #810373)

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Mar 2016 18:18:09 +0100

lcdproc (0.5.7-5) unstable; urgency=medium

  * patch to update libftdi1
  * control: updated std-versions to 3.9.7
  * control: build-dep on libftdi1-dev (Closes: #810373)

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Mar 2016 16:55:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: autoconf,
                automake,
                autotools-dev,
-               cme,
+               cme (>= 1.016-2),
                debhelper (>= 9),
                dh-autoreconf,
                dh-systemd,
@@ -15,13 +15,14 @@
                libg15render-dev,
                liblircclient-dev,
                libncurses5-dev,
+               libusb-1.0-0-dev,
                libusb-dev,
                libxosd-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lcdproc.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/lcdproc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lcdproc.git
 Homepage: http://www.lcdproc.org/
 
 Package: lcdproc

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 
 # --with autotools_dev will update/restore config.sub and config.guess
 %:
-	dh $@ --verbose --with autotools_dev --with autoreconf --with=systemd \
-          --with cme_upgrade
+	dh $@ --verbose --with autotools_dev,autoreconf,systemd,cme-upgrade
 
 override_dh_auto_configure:
 	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
@@ -30,6 +29,7 @@
 		--enable-stat-smbfs \
 		--enable-drivers="$(DRIVERS)" \
 		--enable-libusb \
+		--enable-libusb-1-0 \
 		--enable-seamless-hbars \
 		--enable-testmenus \
 		--enable-permissive-menu-goto \

=== debian/watch ===
version=4
    opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*(?:rc\d))?\.tar\.gz%lcdproc-$1.tar.gz%" \
    https://github.com/lcdproc/lcdproc/releases \
    (?:.*?/)lcdproc\-(\d[\d.]*(?:rc\d)?)\.tar\.gz debian uupdate

## lcdproc 0.5.9

=== debian/changelog ===
lcdproc (0.5.9-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + lcdproc-extra-drivers: Add Multi-Arch: same.

  [ Dominique Dumont ]
  * fix (postinst): fix udevadm call
  * control: declare compliance with policy 4.5.1
  * fix (control): set lcdproc as Multi-Arch foreign

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Dec 2020 19:13:56 +0100

lcdproc (0.5.9-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Dominique Dumont ]
  * fix rename of /etc/init.d/LCDd to /etc/init.d/lcdproc (Closes: 967058)

 -- Dominique Dumont <dod@debian.org>  Wed, 05 Aug 2020 16:00:30 +0200

lcdproc (0.5.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dependency on dh-autoconf.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 0.4.3-11, 0.4.3-10.

  [ Dominique Dumont ]
  * fix gcc 10 compat issue (Closes: 957418)
  * control: add Pre-Depends variable
  * rename service and LCDd init files
  * control: drop build dep on autotools-dev
  * control: declare compliance with policy 4.5.0
  * workaround kernel bug. Unfortunately, this break imon setup. The right
    device file must be setup manually in /etc/lcdproc.conf.

 -- Dominique Dumont <dod@debian.org>  Fri, 24 Jul 2020 17:34:07 +0200

lcdproc (0.5.9-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dominique Dumont ]
  * No longer build g15 driver (Closes: #915770)
  * remove unused patch files
  * control: drop dh-systemd dep
  * control: declare compliance with policy 4.2.1
  * lcdproc-dbgsym package replaces lcdproc-dbg package
  * rules: drop --with autotools_dev

 -- Dominique Dumont <dod@debian.org>  Thu, 13 Dec 2018 12:22:44 +0100

lcdproc (0.5.9-2) unstable; urgency=medium

  * control: rm build-dep on libftdi-dev and libusb-dev (Closes: #810428)
    As a consequence, the IOWarrior i2500vfd lis ula200 and shuttleVFD
    drivers are no longer delivered.

 -- Dominique Dumont <dod@debian.org>  Tue, 19 Sep 2017 12:15:53 +0200

lcdproc (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
  * control: remove version from cme dependency
  * control: declare compliance with policy 4.1.0
  * rules: add hardening instructions
  * refreshed patches
  * watch: skip rc releases
  * fill-copyright-blanks: add override for
    server/drivers/hd44780-spi.c license
  * copyright: (big) update with cme

 -- Dominique Dumont <dod@debian.org>  Sat, 26 Aug 2017 20:11:16 +0200

=== debian/control ===
Source: lcdproc
Maintainer: Dominique Dumont <dod@debian.org>
Section: utils
Priority: optional
Build-Depends: autoconf,
               automake,
               cme,
               debhelper-compat (= 12),
               liblircclient-dev,
               libncurses5-dev,
               libusb-1.0-0-dev,
               libxosd-dev,
               pkg-config,
               texinfo
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/lcdproc
Vcs-Git: https://salsa.debian.org/debian/lcdproc.git
Homepage: http://www.lcdproc.org/

Package: lcdproc
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cme,
         libconfig-model-lcdproc-perl,
         lsb-base,
         udev [linux-any]
Recommends: lcdproc-extra-drivers
Pre-Depends: ${misc:Pre-Depends}
Description: LCD display driver daemon and clients
 Lcdproc is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330.
 .
 Various clients are available that display things like CPU load, system
 load, memory usage, uptime, and a lot more. Custom clients can be
 written using the simple client-server protocol and provided example
 code.
 .
 This package contains the LCD drivers which need no extra libraries to
 run. In the lcdproc-extra-drivers package some USB and VGA on-screen
 displays are also supported.

Package: lcdproc-extra-drivers
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Multi-Arch: same
Depends: lcdproc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: extra drivers for the LCD display driver daemon
 Lcdproc is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330. As of 0.4.4 some USB
 displays are also supported by the drivers CFonz633, CwLnx, and USBLCD.
 .
 This package contains the LCD drivers which need extra libraries to
 run such as USB, LIRC, SVGA, and the X Window System.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+include /usr/share/dpkg/architecture.mk
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Note: Read /usr/share/doc/autotools-dev/README.Debian.gz
 
@@ -13,9 +20,8 @@
 
 DRIVERS = all,!irman,!svga
 
-# --with autotools_dev will update/restore config.sub and config.guess
 %:
-	dh $@ --verbose --with autotools_dev,autoreconf,systemd,cme-upgrade
+	dh $@ --verbose --with=cme-upgrade
 
 override_dh_auto_configure:
 	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
@@ -39,13 +45,7 @@
 override_dh_installman:
 	dh_installman --language=C
 
-override_dh_strip:
-	dh_strip --dbg-package=lcdproc-dbg
-
-override_dh_installinit:
-	dh_installinit --name=LCDd
-
 override_dh_install:
 	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) --exclude LCDd.conf -plcdproc
 	dh_install --autodest  -plcdproc-extra-drivers
-	dh_install --remaining-packages --list-missing
+	dh_install --remaining-packages

=== debian/watch ===
version=4
    opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)?\.tar\.gz%lcdproc-$1.tar.gz%" \
    https://github.com/lcdproc/lcdproc/releases \
    (?:.*?/)lcdproc\-(\d[\d.]*)\.tar\.gz debian uupdate
